@import '~@shared/styles/fonts';
@import '~@shared/styles/colors';
@import '~@shared/styles/common';

$expanded-input-shadow: 0px 3px 16px 0 rgba(216, 220, 237, 0.52);

.extendable-input-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  position: relative;
  &__input {
    width: 3.4rem;
    background-color: inherit;
    font-size: map-get($font-sizes, small);
    font-family: inherit;
    border: none;
    padding: 0 0 0 3.25rem;
    height: 3.125rem;
    transition: $simple-transition;
    &::placeholder {
      color: map-get($gray-palette, xxmedium);
    }
    &:hover,
    &:focus {
      width: 13.3125rem;
      background-color: $white;
      box-shadow: $expanded-input-shadow;
      border: none;
      outline: none;
      border-radius: $standard-border-radius;
    }
  }
  img {
    pointer-events: none;
  }
}
